VELO Production Issue - Bug #22109

[UAT][iOS][Internal Fund Transfer][Special Deal]Hit Error MCB.000005 After Tap CONTINUE Button At

Notification Page
18 April 2025 09:20 AM - yap chekying

Status: Assigned Start date: 18 April 2025
Priority: Normal Due date:

Assignee: yap chekying % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Steps to reproduce:

. Select “Transactions” in side menu.

. Select “Fund Transfer”.

. Select “OCBC Fund Transfer”.

. Select "INTERNAL TRANSFER"

. Select Source of Fund - foreign currency account.

. Select Destination account - foreign currency account.
. At Notification screen, tap on "CONTINUE" button.

Actual Result:
Hit Error MCB.000005.

Expected Result:
Should be able to proceed to next screen.

. At Internal Transfer screen, input "Contract No.: 0180021917722", "Dealer Name", and "Dealer Rate: 1.3282".
. Under TRANSFER INFORMATION, input "Currency: SGD", "Amount: 250" and tap on "CONTINUE" button.

Note: You may use 0180021917720 for Contract No. (Please do not submit transaction as one contract number can only use for one

transaction)

Please refer to attached video for details.

History

#1 - 18 April 2025 10:31 AM - yap chekying
- File redmine_22109.png.jpg added

According to MCB.log the fxDealerName, fxContractNo is empty, fxDealerRate is not exists

#2 - 18 April 2025 03:29 PM - Yeow Yui Chuang

- Status changed from New to Assigned

- Assignee changed from Yeow Yui Chuang to yap chekying
- % Done changed from 0 to 100

r237473 | yeowyc | 2025-04-18 07:28:01 +0000 | 4 lines
Changed paths:
M

/Project/OCBC_NISP/Mobile_FrontEnd/iOS/OCBC_Velocity/branches/AfterRebranding/Velocity/Velocity/Modules/FundTransfer/OAT-IFT/InternalTran

sfer/FTInternalDestinationViewController.m
M

/Project/OCBC_NISP/Mobile_FrontEnd/iOS/OCBC_Velocity/branches/AfterRebranding/Velocity/Velocity/Modules/FundTransfer/OAT-IFT/InternalTran

sfer/FTInternallnputViewController.m

Bug #22109
https://dev.silverlakemobility.com/redmine/issues/22109
fxDealerName, fxContractNo and fxDealerRate are empty and crash problem if no beneAccountName
Files

iOS IFT Error MCB.00005.mp4 8.52 MB 18 April 2025 yap chekying
redmine_22109.png.jpg 23.5 KB 18 April 2025 yap chekying
